#include <gui/guiscenemanager.h>

#include <QApplication>
#include <QDesktopWidget>
#include <QMessageBox>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QRect resolution = a.desktop()->screenGeometry(0);
    if (resolution.width() < 1024 || resolution.height() < 768) {
        QMessageBox msg(QMessageBox::Critical, QString("Ошибка разрешения!")
                        , QString("Запуск игры при таком разрешении невозможен! "
                          "Минимальное разрешение экрана для корректной работы: 1024x768. Текущее разрешение: ")
                            + QString::number(resolution.width()) + QString("x") + QString::number(resolution.height()));
        msg.show();
        msg.exec();
        return 0;
    }

    GuiSceneManager::getInstance();
    return a.exec();
}
